Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class ExDate

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateListProperty
                  net.fortuna.ical4j.model.property.ExDate

All Implemented Interfaces:
  Serializable

    public class ExDate

extends DateListProperty

Defines a EXDATE iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`ExDate()` Default constructor.
`ExDate(DateList dList)`
`ExDate(ParameterList aList, DateList dList)`
`ExDate(ParameterList aList, String aValue)`

Method Summary
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.property.DateListProperty
`getDates, getValue, setTimeZone, setUtc, setValue`

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExDate

    public ExDate()

  Default constructor.

### ExDate

    public ExDate(ParameterList aList,
                  String aValue)
           throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

### ExDate

    public ExDate(DateList dList)

Parameters:
  `dList` - a list of dates

### ExDate

    public ExDate(ParameterList aList,
                  DateList dList)

Parameters:
  `aList` - a list of parameters for this component
  `dList` - a list of dates

Method Detail

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state
  See Also:
    `Property.validate()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.